#### RSA

#### Synopsis

    HELP:   Parameter for RSA key generation
    TYPE:   OBJECT
    SYNTAX: RSA(MODLEN=M512/M1024/M2048/M3072/M4096/M8192,EXPVAL=RANDOM/E3/E65537)

#### Description

This object defines the parameters for RSA key generation.

#### Arguments

- `NUMBER: MODLEN=M512/M1024/M2048/M3072/M4096/M8192 - Length of the modulus [2048]`
  - `M512 - 512 bit modulus`
  - `M1024 - 1024 bit modulus`
  - `M2048 - 2048 bit modulus`
  - `M3072 - 3072 bit modulus`
  - `M4096 - 4096 bit modulus`
  - `M8192 - 8192 bit modulus`
- `NUMBER: EXPVAL=RANDOM/E3/E65537 - Value for the exponent [RANDOM]`
  - `RANDOM - Use a random prime`
  - `E3 - Prime 3 as exponent`
  - `E65537 - Prime 65537 as exponent`